Bug 870045 - always reread the master map from LDAP
Summary: always reread the master map from LDAP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks: 895654
TreeView+ depends on / blocked
 
Reported: 2012-10-25 13:31 UTC by Dmitri Pal
Modified: 2020-05-02 17:02 UTC (History)
4 users (show)

Fixed In Version: sssd-1.9.2-51.el6
Doc Type: Bug Fix
Doc Text:
No Documentation Needed
Clone Of:
Environment:
Last Closed: 2013-02-21 09:38:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github SSSD sssd issues 2634 0 None None None 2020-05-02 17:02:22 UTC
Red Hat Product Errata RHSA-2013:0508 0 normal SHIPPED_LIVE Low: sssd security, bug fix and enhancement update 2013-02-20 21:30:10 UTC

Description Dmitri Pal 2012-10-25 13:31:54 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1592

The auto.master map is only read on autofs daemon startup. It might make sense to always read it from LDAP if online to make sure the contents of the master map are up2date when autofs is restarted.

Comment 2 Kaushik Banerjee 2013-01-27 18:45:02 UTC
Verified in version 1.9.2-82

Report from beaker automation run:
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: autofs12 - bz870045 always reread master map from ldap
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: Sleeping for 5 seconds
:: [   PASS   ] :: Running 'automount -m'
:: [   PASS   ] :: File '/var/log/sssd/sssd_autofs.log' should contain 'Got request for automount map named auto.master'
:: [   PASS   ] :: File '/var/log/sssd/sssd_LDAP.log' should contain 'Requested refresh for: auto.master'
:: [   PASS   ] :: File '/var/log/sssd/sssd_LDAP.log' should contain 'Searching for automount map entries with base \[ou=mount,dc=example,dc=com\]'
:: [   PASS   ] :: File '/var/log/sssd/sssd_LDAP.log' should contain 'dell-pesc430-01.rhts.eng.bos.redhat.com:/export/shared2/key1'
:: [   LOG    ] :: sleep for 30 seconds and reload autofs
:: [   PASS   ] :: File '/var/log/sssd/sssd_autofs.log' should contain 'Map auto.master needs to be looked up'
:: [   PASS   ] :: File '/var/log/sssd/sssd_autofs.log' should contain 'Got request for automount map named auto.master'
:: [   PASS   ] :: File '/var/log/sssd/sssd_LDAP.log' should contain 'Requested refresh for: auto.master'
:: [   PASS   ] :: File '/var/log/sssd/sssd_LDAP.log' should contain 'Searching for automount map entries with base \[ou=mount,dc=example,dc=com\]'
:: [   LOG    ] :: Add a new map auto.share3
:: [   PASS   ] :: File '/var/log/sssd/sssd_autofs.log' should contain 'Got request for automount map named auto.master'
:: [   PASS   ] :: File '/var/log/sssd/sssd_LDAP.log' should contain 'Requested refresh for: auto.master'
:: [   PASS   ] :: File '/var/log/sssd/sssd_LDAP.log' should contain 'Searching for automount map entries with base \[ou=mount,dc=example,dc=com\]'
:: [   PASS   ] :: File '/var/log/sssd/sssd_LDAP.log' should contain '\[cn=/share3,nisMapName=auto.master,ou=mount,dc=example,dc=com\]'
:: [   PASS   ] :: File '/var/log/sssd/sssd_LDAP.log' should contain 'Adding autofs entry \[/share3\] - \[auto.share3\]'
:: [   LOG    ] :: Duration: 57s
:: [   LOG    ] :: Assertions: 14 good, 0 bad
:: [   PASS   ] :: RESULT: autofs12 - bz870045 always reread master map from ldap

Comment 3 errata-xmlrpc 2013-02-21 09:38:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html


Note You need to log in before you can comment on or make changes to this bug.